package abchr;

import org.jdom.Element;

import java.io.IOException;

public class CommentModule implements ProjectModule {
	private String comment;

	public String getComment(){return comment;}
	public void setComment(String comment){this.comment=comment;}

	public CommentModule(String comment){this.comment=comment;}
	public CommentModule(){this("");}

	public Element toResultsXML() {
		return new Element("Comments").setText(comment);
	}

	public static ProjectModule createInstance() {
		return new CommentModule();
	}

	private void writeObject(java.io.ObjectOutputStream out) throws IOException {
		//System.out.println("Writing CommentModule");
		out.defaultWriteObject();
		//System.out.println("Done writing CommentModule");
	}
}