package abchr;

public class ConfigIOModule {
	private final String extension;
	private final String description;
	private final ConfigIO configIO;
	private final boolean readable;

	public ConfigIOModule(ConfigIO configIO,String extension,String description,boolean readable) {
		this.configIO=configIO;
		this.extension=extension;
		this.description=description;
		this.readable=readable;
	}

	public ConfigIO getConfigIO(){return configIO;}
	public String getExtension(){return extension;}
	public String getDescription(){return description;}
	public boolean isReadable(){return readable;}
}
