package abchr;

import org.jdom.Document;
import org.jdom.Element;

import java.io.IOException;

public class TestNameModule implements ProjectModule, ConfigModule {
	private String name;

	public TestNameModule(String name){this.name=name;}

	public String getTestName(){return name;}
	public void setTestName(String name){this.name=name;}

	public static ProjectModule createInstance(Document doc) {
		return new TestNameModule(doc.getRootElement().getChild("testname").getText());
	}

	public Element toXML() {
		return new Element("testname").setText(name);
	}

	public Element toResultsXML() {
		return new Element("TestName").setText(name);
	}

	private void writeObject(java.io.ObjectOutputStream out) throws IOException {
		//System.out.println("Writing TestNameModule");
		out.defaultWriteObject();
		//System.out.println("Done writing TestNameModule");
	}
}
