package abchr.audio;

import abchr.Attributable;

import java.util.List;
import java.util.ArrayList;

public class SampleProcessing {
	private static Integer key=new Integer(52855111);

	public static List<SampleProcessor> getProcessingQueue(Attributable attributable) {
		return (List<SampleProcessor>)attributable.getAttribute(key);
	}

	public static void setProcessingQueue(Attributable attributable,List<SampleProcessor> queue) {
		attributable.setAttribute(key,queue);
	}

	public static void addToProcessingQueue(Attributable a,SampleProcessor processor) {
		List<SampleProcessor> queue=getProcessingQueue(a);
		if(queue!=null) {
			queue.add(processor);
		} else {
			queue=new ArrayList<SampleProcessor>(4);
			queue.add(processor);
			setProcessingQueue(a,queue);
		}
	}
}
