package abchr.crypto;

import java.io.Serializable;
import java.math.BigInteger;

public class ElGamalPublicKey implements Serializable {
	private final BigInteger modulus;
	private final BigInteger generator;
	private final BigInteger publicKey;

	public BigInteger getGenerator(){return generator;}
	public BigInteger getModulus(){return modulus;}
	public BigInteger getPublicKey(){return publicKey;}

	public ElGamalPublicKey(BigInteger modulus,BigInteger generator,BigInteger publicKey) {
		this.generator=generator;
		this.modulus=modulus;
		this.publicKey=publicKey;
	}
}