package abchr.gui;

import abchr.ABXConfigModule;

import javax.swing.*;
import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;

import guiutils.LineLayout;

public class ABXSetupPanel extends JPanel {
	private ABXConfigModule abxConfigModule=new ABXConfigModule();

	private JSpinner spinner;

	public ABXSetupPanel() {
		super(new LineLayout(LineLayout.LEFT_ALIGN));
		this.add(new JLabel("Reveal reference when pval below "));
		spinner=new JSpinner(new SpinnerNumberModel(0.05,0,0.5,0.01));
		spinner.addChangeListener(new ChangeListener() {
			public void stateChanged(ChangeEvent e) {
				abxConfigModule.setPValThreshold(((Double)spinner.getValue()).doubleValue());
			}
		});
		this.add(spinner);
	}

	public void setModel(ABXConfigModule model) {
		this.abxConfigModule=model;
	}
}
