package abchr.gui;

import abchr.ComparisonGroup;
import jlfgr.GraphicsRepository;

import javax.swing.*;
import java.awt.event.ActionEvent;

class CommentsAction extends AbstractAction {
	private static CommentDialog commentsFrame=null;

	private ComparisonGroup compGroup;
	private int index;

	public CommentsAction(ComparisonGroup compGroup,int index) {
		super("Add Comments",GraphicsRepository.getToolbarIcon("general/Edit16.gif"));
		this.putValue(Action.SHORT_DESCRIPTION,"Add comments");
		this.compGroup=compGroup;
		this.index=index;
	}

	public void actionPerformed(ActionEvent e) {
		lazyInit();
		String s=commentsFrame.showDialogModal(compGroup.getComment(index));
		if(s!=null){compGroup.setComment(index,s);}
	}

	private static void lazyInit() {
		if(commentsFrame==null){commentsFrame=new CommentDialog();}
	}
}