package abchr.gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;

public class DecryptResultsActionNew extends AbstractAction {
	private JFrame parent;
	private JDialog dialog=null;

	public DecryptResultsActionNew(JFrame frame) {
		super("Process Result Files...");
		this.parent=frame;
	}

	public void actionPerformed(ActionEvent e) {
		lazyInit();
		dialog.show();
	}

	private void lazyInit() {
		if(dialog==null) {
			dialog=new JDialog(parent,"Decrypt Results",true) {
				public void show() {
					Dimension size=this.getContentPane().getPreferredSize();
					Window owner=getOwner();
					Insets in=owner.getInsets();
					this.setSize(size.width+in.left+in.right+10,size.height+in.top+in.bottom+10);
					this.setLocation(Math.max(owner.getX()+(owner.getWidth()-this.getWidth())/2,10),Math.max(owner.getY()+(owner.getHeight()-this.getHeight())/2,10));
					super.show();					
				}
			};
			dialog.setContentPane(new DecryptPanel());
		}
	}
}
