package abchr.gui;

import abchr.audio.PlaybackThread;
import abchr.audio.Sample;
import jlfgr.GraphicsRepository;

import javax.swing.*;
import java.awt.event.ActionEvent;

class PlayAction extends AbstractAction {
	private static Icon playIcon=GraphicsRepository.getToolbarIcon("media/Play16.gif");

	private Sample sample;
	private int index;

	private PlaybackThread playbackThread=PlaybackThread.getInstance();
	
	public PlayAction(Sample sample,String title) {
		super(title,playIcon);
		this.putValue(Action.SHORT_DESCRIPTION,title);
		this.sample=sample;
		index = playbackThread.addSample(sample);
	}

	public void actionPerformed(ActionEvent e) {
		//System.out.println("action: "+System.currentTimeMillis()%100000);
		
		playbackThread.play(index);
	}
}
