package abchr.gui;

import abchr.TestNameModule;
import guiutils.FlexibleGridLayout;

import javax.swing.*;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

public class TestNameSetupPanel extends JPanel {
	private TestNameModule testNameModule=new TestNameModule("");
	private JTextField nameField=new JTextField(20);

	public TestNameSetupPanel() {
		//super(new LineLayout());
		this.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
		this.setLayout(new FlexibleGridLayout(1,2,10,5,true));
		this.add(new JLabel("Test Name"));
		nameField.getDocument().addDocumentListener(new DocumentListener() {
			public void changedUpdate(DocumentEvent e){updateName();}
			public void insertUpdate(DocumentEvent e){updateName();}
			public void removeUpdate(DocumentEvent e){updateName();}
			private void updateName(){testNameModule.setTestName(nameField.getText());}
		});
		this.add(nameField);
	}

	public void setModel(TestNameModule testNameModule) {
		this.testNameModule=testNameModule;
		nameField.setText(testNameModule.getTestName());
	}
}