package abchr.gui.modulecontrols;

import abchr.ProjectModule;
import abchr.TestNameModule;
import guiutils.LineLayout;

import javax.swing.*;

public class TestNamePanel extends JPanel implements ModuleControl {
	private JTextField textField=new JTextField(20);

	public TestNamePanel() {
		super(new LineLayout());
		this.add(new JLabel("Testname: "));
		this.add(textField);
		textField.setEditable(false);
	}

	public void setModule(ProjectModule module) {
		if(module==null) {
			textField.setText("");
		} else {
			textField.setText(((TestNameModule)module).getTestName());
		}
	}
}
