package abchr.gui.modulecontrols;

import abchr.TimeLineModule;
import abchr.SavedRangesModule;
import abchr.gui.ControlPosition;

import java.awt.*;

public class TimeLinePanelFactory implements ModuleControlFactory {
	private static final Class[] modules=new Class[]{TimeLineModule.class,SavedRangesModule.class};
	public ModuleControl createControl(){return new TimeLinePanel();}
	public Class[] getModules(){return modules;}
	public ControlPosition getPosition(){return ControlPosition.BOTTOM;}
}