package guiutils;

import javax.swing.filechooser.FileFilter;
import java.io.File;

public class OrFileFilter extends FileFilter {
	private FileFilter[] filters;
	private String description;

	public OrFileFilter(FileFilter[] filters,String description) {
		this.filters=filters;
		this.description=description;
	}

	public String getDescription(){return description;}

	public boolean accept(File f) {
		for(int i=0;i<filters.length;i++) {
			if(filters[i].accept(f)){return true;}
		}
		return false;
	}
}