package guiutils;

import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;
import javax.swing.*;
import java.util.List;
import java.util.ArrayList;

public class PositionMarker {
	private int position=-1;

	private List listeners=new ArrayList(2);

	// in milliseconds
	public int getPosition(){return position;}
	public void setPosition(int position) {
		this.position=position;
		notifyListeners();
	}

	private void notifyListeners() {
		for(int i=0;i<listeners.size();i++) {
			((ChangeListener)listeners.get(i)).stateChanged(new ChangeEvent(this));
		}
	}

	public void addListener(ChangeListener listener){if(!listeners.contains(listener)){listeners.add(listener);}}
	public void removeListener(ChangeListener listener){listeners.remove(listener);}
}
