package guiutils;

import javax.swing.filechooser.FileFilter;
import java.io.File;

public class SimpleFileFilter extends FileFilter {
	private final String extension;
	private final String description;

	public SimpleFileFilter(String extension,String description) {
		this.extension=extension;
		this.description=description;
	}

	public String getDescription(){return description;}
	public String getExtension(){return extension;}

	public boolean accept(File f){return f.getName().endsWith(extension) || f.isDirectory();}
}