package guiutils;

import javax.swing.*;
import java.awt.*;
import java.io.File;

public class TextFieldBrowseButton extends AbstractBrowseButton {
	private JTextField textField;

	public TextFieldBrowseButton(Component parent,JFileChooser fileChooser,JTextField textField,boolean multiple) {
		super(parent,fileChooser,multiple);
		this.textField=textField;
	}

	public TextFieldBrowseButton(String text,Component parent,JFileChooser fileChooser,boolean multiple,JTextField textField) {
		super(text,parent,fileChooser,multiple);
		this.textField=textField;
	}

	protected void addFiles(File[] files) {
		StringBuffer s=new StringBuffer();
		for(int i=0;i<files.length;i++) {
			if(i!=0){s.append(';');}
			s.append(files[i].getPath());
		}
		textField.setText(s.toString());
	}
}