package abchr;

public class ResultIOModule {
	private final String extension;
	private final String description;
	private final ResultIO resultIO;
	private final boolean readable;

	public ResultIOModule(ResultIO resultIO,String extension,String description,boolean readable) {
		this.resultIO=resultIO;
		this.extension=extension;
		this.description=description;
		this.readable=readable;
	}

	public ResultIO getResultIO(){return resultIO;}
	public String getExtension(){return extension;}
	public String getDescription(){return description;}
	public boolean isReadable(){return readable;}
}
