package abchr;

import org.jdom.Document;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;

public class XMLResultIO implements ResultIO {
	public Document readConfig(InputStream in) throws IOException {
		SAXBuilder builder=new SAXBuilder(false);
		Document document=null;
		try {
			document=builder.build(in);
		} catch(JDOMException e) {
			throw new IOException("JDOM parse error: "+e.getMessage());
		}
		return document;
	}

	public void writeConfig(OutputStream out,Document doc) throws IOException {
		org.jdom.output.XMLOutputter outputter=new org.jdom.output.XMLOutputter(org.jdom.output.Format.getPrettyFormat());
		outputter.output(doc,out);
	}
}
