package abchr.audio;

import abchr.Attributable;

import javax.sound.sampled.AudioFormat;
import javax.sound.sampled.AudioInputStream;
import java.io.Serializable;

public interface Sample extends Serializable, Attributable {
	public AudioFormat getFormat();
	public AudioInputStream getStream();
	public float getLength();
	public void setLength(float length);
}