package abchr.gui;

public class TrialAnsweredEvent extends ABXEvent {
	public static final ABXEvent.Type TYPE=new Type();

	private ABXSampleType xSample;
	private ABXSampleType answer;

	public TrialAnsweredEvent(ABXControlPanel source,ABXSampleType xSample,ABXSampleType answer) {
		super(source,TYPE);
		this.answer=answer;
		this.xSample=xSample;
	}

	public ABXSampleType getAnswer(){return answer;}
	public ABXSampleType getXSample(){return xSample;}

	public boolean correct(){return xSample==answer;}
}
