package abchr.gui;

import javax.swing.*;
import java.awt.*;

class WaitMessageDialog extends JDialog {
	private JLabel l=new JLabel("Please Wait...",JLabel.CENTER);

	public WaitMessageDialog(Dialog owner,String title) {
		super(owner,title,true);
		this.setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
		this.getContentPane().add(l);
	}

	public WaitMessageDialog(Frame owner,String title) {
		super(owner,title,true);
		this.setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
		this.getContentPane().add(l);
	}

	public void show() {
		show(getOwner());
	}

	public void setText(String text) {
		l.setText(text);
	}

	public void show(Component parent) {
		this.setSize(200,50);
		this.setLocation(parent.getX()+(parent.getWidth()-this.getWidth())/2,parent.getY()+(parent.getHeight()-this.getHeight())/2);
		super.show();
	}
}
