package abchr.gui.modulecontrols;

import abchr.ABXModule;
import abchr.TimeLineModule;
import abchr.SavedRangesModule;
import abchr.gui.ControlPosition;

public class ABXButtonFactory implements ModuleControlFactory {
	private static final Class[] modules=new Class[]{ABXModule.class,TimeLineModule.class,SavedRangesModule.class};
	public ModuleControl createControl(){return new ABXButton();}
	public Class[] getModules(){return modules;}
	public ControlPosition getPosition(){return ControlPosition.TOP;}
}