package guiutils;

import javax.swing.*;
import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class ComponentGroup {
	private List components=new ArrayList();

	public void add(Component c){components.add(c);}
	public void remove(Component c){components.remove(c);}

	public void setEnabled(boolean b) {
		Component c;
		for(int i=0,n=components.size();i<n;i++) {
			c=(Component)components.get(i);
			c.setEnabled(b);
			if(c instanceof AbstractButton && ((AbstractButton)c).getAction()!=null) {
				((AbstractButton)c).getAction().setEnabled(b);
			}
		}
	}
}