package guiutils;

import javax.swing.*;
import java.awt.*;
import java.io.File;

public class ListBrowseButton extends AbstractBrowseButton {
	private final DefaultListModel list;

	public ListBrowseButton(Component parent,JFileChooser fileChooser,DefaultListModel list,boolean multiple) {
		super(parent,fileChooser,multiple);
		this.list=list;
	}

	public ListBrowseButton(String text,Component parent,JFileChooser fileChooser,DefaultListModel list,boolean multiple) {
		super(text,parent,fileChooser,multiple);
		this.list=list;
	}

	protected void addFiles(File[] files) {
		for(int i=0;i<files.length;i++) {
			list.addElement(files[i]);
		}
	}
}